**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/24.1/vault-objects/object-roles/remove-users-groups-from-roles-on-object-records.md

# Remove Users & Groups from Roles on Object Records



Remove users and groups from roles on an object record in bulk.

* The maximum CSV input file size is 1GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the standard RFC 4180 format, with some [exceptions](/vault-api/references/csv-rfc-deviations).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/vobjects/{object_name}/roles" method="DELETE"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `text/csv` or `application/json` |
| `Accept` | `application/json` (default), `text/csv`, or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object where you want to remove roles. |
</FieldTable>

## Body Parameters {#body-parameters}

Prepare a JSON or CSV input file. Users and groups are ignored if they are invalid or inactive.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The object record ID. |
| `role__v.users` | A string of user `id` values to remove. |
| `role__v.groups` | A string of group `id` values to remove. |
</FieldTable>
See Example JSON Request Body in the right-hand column, or click the button below to download a sample CSV input file.

<DownloadButton href="/sample-files/vault_remove_object_record_roles.csv" label="Download Input File"></DownloadButton>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Roles\remove_object_record_roles.csv" \
https://myvault.veevavault.com/api/v17.2/vobjects/campaign__c/roles

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "responseStatus": "SUCCESS",
            "data": {
                "id": "OBE000000000412"
            }
        }
    ]
}

```
</CodeExample>

## Example JSON Request Body {#example-json-request-body}

<CodeExample title="">
```
[
  {
    "id": "OBE000000000412",
    "roles": [
      {
        "role": "content_creator__c",
        "users": "61590"
      }
      ]
  }
]

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, The response includes the object record `id`.



---

**Previous:** [Assign Users & Groups to Roles on Object Records](/safety/vault-api/api-reference/24.1/vault-objects/object-roles/assign-users-groups-to-roles-on-object-records)  
**Next:** [Object Record Attachments](/safety/vault-api/api-reference/24.1/vault-objects/object-record-attachments)